<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Services/BiosPrivacyService.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d74/_bios_privacy_service_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">BiosPrivacyService.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d74/_bios_privacy_service_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html" title="BiosPrivacyPermissionResult represents the per permission result of the GetPermissionsAsync reqeust.">BiosPrivacyPermissionResult</a> represents the per permission result of the GetPermissionsAsync reqeust.  <a href="../../d8/d6b/class_bios_privacy_permission_result.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d73/class_bios_privacy_uid_result.html">BiosPrivacyUidResult</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../dc/d73/class_bios_privacy_uid_result.html" title="BiosPrivacyUidResult represents the per user result of the GetPermissionsAsync request.">BiosPrivacyUidResult</a> represents the per user result of the GetPermissionsAsync request.  <a href="../../dc/d73/class_bios_privacy_uid_result.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_bios_privacy_service.html">BiosPrivacyService</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d3/de2/class_bios_privacy_service.html" title="BiosPrivacyService is used to query privacy permissions for a target user/s.">BiosPrivacyService</a> is used to query privacy permissions for a target user/s.  <a href="../../d3/de2/class_bios_privacy_service.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a9cb97065130feccbe3cee34b78edc3f8"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a9cb97065130feccbe3cee34b78edc3f8">BiosPrivacyPermissionResultArray</a></td></tr>
<tr class="separator:a9cb97065130feccbe3cee34b78edc3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1629868bf3e6bbbe5397b2a19c768f22"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../dc/d73/class_bios_privacy_uid_result.html">BiosPrivacyUidResult</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a1629868bf3e6bbbe5397b2a19c768f22">BiosPrivacyUidResultArray</a></td></tr>
<tr class="separator:a1629868bf3e6bbbe5397b2a19c768f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a4c78f4ecb246c3812488500c977b330c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330c">EBiosPrivacyPermission</a> { <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a">COMMUNICATE_VOICE</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93">COMMUNICATE_TEXT</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330cab20cb3b3d56bc489e9505f9520ffc72e">VIEW_PROFILE</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330cabb0189b475da28e7b404fd6cb0be25ae">VIEW_PRESENCE</a>
 }</td></tr>
<tr class="memdesc:a4c78f4ecb246c3812488500c977b330c"><td class="mdescLeft">&#160;</td><td class="mdescRight">EBiosPrivacyPermission represents possible privacy permissions.  <a href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330c">More...</a><br /></td></tr>
<tr class="separator:a4c78f4ecb246c3812488500c977b330c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7147f579d8990103aec30e14865c63b6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6">EBiosPrivacyPrivilege</a> { <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a">COMMUNICATE_VOICE</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93">COMMUNICATE_TEXT</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6a0a6e9d0845bd5450b45ddca4b2d3c942">MULTIPLAYER_GAMEPLAY</a>
, <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6a78eb707ee0b35b23ae34e58d9a3a8c5c">MULTIPLAYER_LOBBY</a>
 }</td></tr>
<tr class="memdesc:a7147f579d8990103aec30e14865c63b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">EBiosPrivacyPrivilege represents possible privacy privileges.  <a href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6">More...</a><br /></td></tr>
<tr class="separator:a7147f579d8990103aec30e14865c63b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a9cb97065130feccbe3cee34b78edc3f8" name="a9cb97065130feccbe3cee34b78edc3f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cb97065130feccbe3cee34b78edc3f8">&#9670;&#160;</a></span>BiosPrivacyPermissionResultArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a>&gt; <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a9cb97065130feccbe3cee34b78edc3f8">BiosPrivacyPermissionResultArray</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00039">39</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<a id="a1629868bf3e6bbbe5397b2a19c768f22" name="a1629868bf3e6bbbe5397b2a19c768f22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1629868bf3e6bbbe5397b2a19c768f22">&#9670;&#160;</a></span>BiosPrivacyUidResultArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../dc/d73/class_bios_privacy_uid_result.html">BiosPrivacyUidResult</a>&gt; <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a1629868bf3e6bbbe5397b2a19c768f22">BiosPrivacyUidResultArray</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00049">49</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a4c78f4ecb246c3812488500c977b330c" name="a4c78f4ecb246c3812488500c977b330c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c78f4ecb246c3812488500c977b330c">&#9670;&#160;</a></span>EBiosPrivacyPermission</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330c">EBiosPrivacyPermission</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>EBiosPrivacyPermission represents possible privacy permissions. </p>
<p >See individual values for platform support and meaning. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a" name="a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a"></a>COMMUNICATE_VOICE&#160;</td><td class="fielddoc"><p >Xbox: represents CommunicateUsingVoice permissions, see Xbox Docs. </p>
<p >Xbox: represents XPRIVILEGE_COMMUNICATION_VOICE_INGAME privilege, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93" name="a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93"></a>COMMUNICATE_TEXT&#160;</td><td class="fielddoc"><p >Xbox: represents CommunicateUsingText permissions, see Xbox Docs. </p>
<p >Xbox: represents XPRIVILEGE_COMMUNICATIONS privilege, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4c78f4ecb246c3812488500c977b330cab20cb3b3d56bc489e9505f9520ffc72e" name="a4c78f4ecb246c3812488500c977b330cab20cb3b3d56bc489e9505f9520ffc72e"></a>VIEW_PROFILE&#160;</td><td class="fielddoc"><p >Xbox: represents ViewTargetProfile permissions, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4c78f4ecb246c3812488500c977b330cabb0189b475da28e7b404fd6cb0be25ae" name="a4c78f4ecb246c3812488500c977b330cabb0189b475da28e7b404fd6cb0be25ae"></a>VIEW_PRESENCE&#160;</td><td class="fielddoc"><p >Xbox: represents ViewTargetPresence permissions, see Xbox Docs. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00005">5</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<a id="a7147f579d8990103aec30e14865c63b6" name="a7147f579d8990103aec30e14865c63b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7147f579d8990103aec30e14865c63b6">&#9670;&#160;</a></span>EBiosPrivacyPrivilege</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a7147f579d8990103aec30e14865c63b6">EBiosPrivacyPrivilege</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>EBiosPrivacyPrivilege represents possible privacy privileges. </p>
<p >See individual values for platform support and meaning. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a" name="a7147f579d8990103aec30e14865c63b6aaed9d76200107fcb140be8cfc668b36a"></a>COMMUNICATE_VOICE&#160;</td><td class="fielddoc"><p >Xbox: represents CommunicateUsingVoice permissions, see Xbox Docs. </p>
<p >Xbox: represents XPRIVILEGE_COMMUNICATION_VOICE_INGAME privilege, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93" name="a7147f579d8990103aec30e14865c63b6a657b6b291ffd034637f2d3574da4af93"></a>COMMUNICATE_TEXT&#160;</td><td class="fielddoc"><p >Xbox: represents CommunicateUsingText permissions, see Xbox Docs. </p>
<p >Xbox: represents XPRIVILEGE_COMMUNICATIONS privilege, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6a0a6e9d0845bd5450b45ddca4b2d3c942" name="a7147f579d8990103aec30e14865c63b6a0a6e9d0845bd5450b45ddca4b2d3c942"></a>MULTIPLAYER_GAMEPLAY&#160;</td><td class="fielddoc"><p >Xbox: represents XPRIVILEGE_MULTIPLAYER_SESSIONS privilege, see Xbox Docs. </p>
</td></tr>
<tr><td class="fieldname"><a id="a7147f579d8990103aec30e14865c63b6a78eb707ee0b35b23ae34e58d9a3a8c5c" name="a7147f579d8990103aec30e14865c63b6a78eb707ee0b35b23ae34e58d9a3a8c5c"></a>MULTIPLAYER_LOBBY&#160;</td><td class="fielddoc"><p >Xbox: represents XPRIVILEGE_MULTIPLAYER_PARTIES privilege, see Xbox Docs. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00017">17</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4a9dcb1770818e47f33f91c96091773e.html">Services</a></li><li class="navelem"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html">BiosPrivacyService.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
